com.brightcove.player.drm

## Class OfflineLicenseManagerFactory

- java.lang.Object
- - com.brightcove.player.drm.OfflineLicenseManagerFactory

- All Implemented Interfaces:
    LicenseManagerFactory

      public class OfflineLicenseManagerFactory
      extends java.lang.Object
      implements LicenseManagerFactory

  Factory for creating `LicenseManager` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfflineLicenseManagerFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LicenseManager` | `createLicenseManager(Video video, Source source)` Creates a new instance of `LicenseManager`, which can be used to acquire, renew or releases (Offline) playback DRM license for a specific video source.
    `LicenseManager` | `createLicenseManager(Video video, Source source, java.util.Map<java.lang.String,java.lang.String> properties)`
    `static LicenseManagerFactory` | `provideLicenseManagerFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfflineLicenseManagerFactory

          public OfflineLicenseManagerFactory()

  - ### Method Detail

    - #### provideLicenseManagerFactory

          @Provides
           @Singleton
           @NonNull
          public static LicenseManagerFactory provideLicenseManagerFactory()

    - #### createLicenseManager

          @NonNull
          public LicenseManager createLicenseManager(@NonNull
                                                              Video video,
                                                              @NonNull
                                                              Source source)

      Creates a new instance of `LicenseManager`, which can be used to acquire, renew or releases (Offline) playback DRM license for a specific video source. Note: You need to set DrmSessionEventListener.EventDispatcher if you want to be notified by the Drm Session Events.
      Specified by:
        `createLicenseManager` in interface `LicenseManagerFactory`
      Parameters:
        `video` - reference to an offline playback enabled video.
        `source` - reference to the source in the video that requires an offline playback license operation.
      Returns:
        a new instance of `LicenseManager`

    - #### createLicenseManager

          public LicenseManager createLicenseManager(@NonNull
                                                     Video video,
                                                     @NonNull
                                                     Source source,
                                                     java.util.Map<java.lang.String,java.lang.String> properties)

      Specified by:
        `createLicenseManager` in interface `LicenseManagerFactory`